Skip to main content
POST
Create Purchase Session

Body

application/json
full_code
string
required

The verification code, given as a query parameter in the purchase URL

Example:

"proj_abc123_def456ghi789"

price_id
string
required

The Hexclave price ID to purchase

Example:

"price_1234567890abcdef"

quantity
integer
default:1

The quantity to purchase

Example:

1

Response

200 - application/json

Successful response

client_secret
string

Stripe client secret used by the browser to confirm payment or setup via Stripe Elements. Omitted when no confirmation step is required from the customer.

Example:

"1234567890abcdef_secret_xyz123"

stripe_intent_type
enum<string>

Whether client_secret is a PaymentIntent (immediate charge) or SetupIntent (e.g. free trial card collection). Omitted when client_secret is omitted.

Available options:
payment,
setup
Example:

"payment"